> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List holidays



## OpenAPI

````yaml /spec/openapi.json get /holidays
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /holidays:
    get:
      tags:
        - Holidays
      summary: List holidays
      operationId: holidays-index
      parameters:
        - name: jurisdiction
          in: query
          schema:
            type: string
          required: false
        - name: type
          in: query
          schema:
            type: string
            enum:
              - bank
              - statutory
          required: false
        - name: original_date
          in: query
          schema:
            type: object
          required: false
          description: >-
            Date filters support two formats:

            Exact Date Match: Provide a well-formatted date in `YYYY-MM-DD`
            format for an exact match. Example: `original_date=2024-01-01`

            Use an array-like syntax to specify a range with one or more
            comparison operators:

            - `gt` (greater than)

            - `gte` (greater than or equal to)

            - `lte` (less than or equal to)

            - `lt` (less than)

            Example:
            `original_date[gte]=2024-01-01&original_date[lt]=2024-12-31`
        - name: observed_date
          in: query
          schema:
            type: object
          required: false
          description: >-
            Date filters support two formats:

            Exact Date Match: Provide a well-formatted date in `YYYY-MM-DD`
            format for an exact match. Example: `observed_date=2024-01-01`

            Use an array-like syntax to specify a range with one or more
            comparison operators:

            - `gt` (greater than)

            - `gte` (greater than or equal to)

            - `lte` (less than or equal to)

            - `lt` (less than)

            Example:
            `observed_date[gte]=2024-01-01&observed_date[lt]=2024-12-31`
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"list"`).
                    readOnly: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the object in Nmbr.
                          readOnly: true
                        object:
                          type: string
                          description: The type of the object in Nmbr (`"holiday"`).
                          readOnly: true
                        data:
                          $ref: '#/components/schemas/Holiday'
              example:
                object: list
                data:
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEGK81SZFSPPTK2E6NJ
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Good Friday
                      name_translations:
                        en: Good Friday
                        fr: Vendredi Saint
                      name_translated: Good Friday
                      original_date: '2026-04-03'
                      observed_date: '2026-04-03'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEGK81SZFSPPTK2E6NK
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Victoria Day
                      name_translations:
                        en: Victoria Day
                        fr: Fête de la Reine
                      name_translated: Victoria Day
                      original_date: '2026-05-18'
                      observed_date: '2026-05-18'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEHE4F2KATNW7KFPKXM
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Canada Day
                      name_translations:
                        en: Canada Day
                        fr: Fête du Canada
                      name_translated: Canada Day
                      original_date: '2026-07-01'
                      observed_date: '2026-07-01'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEHE4F2KATNW7KFPKXN
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Labour Day
                      name_translations:
                        en: Labour Day
                        fr: Fête du Travail
                      name_translated: Labour Day
                      original_date: '2026-09-07'
                      observed_date: '2026-09-07'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEJGPAV5WXDB5V60TWE
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Truth and Reconciliation Day
                      name_translations:
                        en: Truth and Reconciliation Day
                        fr: Journée Vérité et Réconciliation
                      name_translated: Truth and Reconciliation Day
                      original_date: '2026-09-30'
                      observed_date: '2026-09-30'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEJGPAV5WXDB5V60TWF
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Thanksgiving Day
                      name_translations:
                        en: Thanksgiving Day
                        fr: Action de Grâce
                      name_translated: Thanksgiving Day
                      original_date: '2026-10-12'
                      observed_date: '2026-10-12'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEKG3Z5667MXBZ6J862
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Remembrance Day
                      name_translations:
                        en: Remembrance Day
                        fr: Jour du Souvenir
                      name_translated: Remembrance Day
                      original_date: '2026-11-11'
                      observed_date: '2026-11-11'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEKG3Z5667MXBZ6J863
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Christmas Day
                      name_translations:
                        en: Christmas Day
                        fr: Noël
                      name_translated: Christmas Day
                      original_date: '2026-12-25'
                      observed_date: '2026-12-25'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEMWDP03PKZSR0HZ91X
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_federal
                      type: bank
                      name: Boxing Day
                      name_translations:
                        en: Boxing Day
                        fr: Lendemain de Noël
                      name_translated: Boxing Day
                      original_date: '2026-12-26'
                      observed_date: '2026-12-28'
                      created_at: '2023-01-01T00:00:00.000000Z'
                    links:
                      self: /holidays/01J96T4XEMWDP03PKZSR0HZ91Y
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_ab
                      type: statutory
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2026-01-26T20:16:32.000000Z'
                      updated_at: '2026-01-26T20:16:32.000000Z'
                    links:
                      self: /holidays/<id>
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_bc
                      type: statutory
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2026-01-26T20:16:32.000000Z'
                      updated_at: '2026-01-26T20:16:32.000000Z'
                    links:
                      self: /holidays/<id>
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_mb
                      type: statutory
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2026-01-26T20:16:32.000000Z'
                      updated_at: '2026-01-26T20:16:32.000000Z'
                    links:
                      self: /holidays/<id>
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_nb
                      type: statutory
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2026-01-26T20:16:32.000000Z'
                      updated_at: '2026-01-26T20:16:32.000000Z'
                    links:
                      self: /holidays/<id>
                  - id: <id>
                    object: holiday
                    data:
                      jurisdiction: ca_nl
                      type: statutory
                      name: New Year’s Day
                      name_translations:
                        en: New Year’s Day
                        fr: Jour de l’An
                      name_translated: New Year’s Day
                      original_date: '2026-01-01'
                      observed_date: '2026-01-01'
                      created_at: '2026-01-26T20:16:32.000000Z'
                      updated_at: '2026-01-26T20:16:32.000000Z'
                    links:
                      self: /holidays/<id>
                links:
                  first: >-
                    /holidays?jurisdiction=ca&observed_date%5Bgte%5D=2026-01-01&observed_date%5Blte%5D=2026-12-31&page=1
                  last: >-
                    /holidays?jurisdiction=ca&observed_date%5Bgte%5D=2026-01-01&observed_date%5Blte%5D=2026-12-31&page=9
                  prev: null
                  next: >-
                    /holidays?jurisdiction=ca&observed_date%5Bgte%5D=2026-01-01&observed_date%5Blte%5D=2026-12-31&page=2
                meta:
                  current_page: 1
                  last_page: 9
                  per_page: 15
                  total: 135
                  has_more: true
components:
  schemas:
    Holiday:
      type: object
      title: Holiday
      properties:
        jurisdiction:
          type: string
          nullable: true
        type:
          type: string
          enum:
            - bank
            - statutory
        name:
          type: string
          nullable: true
        name_translations:
          type: object
          nullable: true
          properties:
            en:
              type: string
              nullable: true
            fr:
              type: string
              nullable: true
        name_translated:
          type: string
          description: >-
            The translation of the `name` property for the request locale.
            Computed using the values in `name` and `name_translations` and the
            value of the request's `Accept-Language` header.
          readOnly: true
        original_date:
          type: string
          format: date
        observed_date:
          type: string
          format: date
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````